eContract Developers
API ReferenceContracts

Void contract

POST /api/v1/contracts/{id}/void: Void contract. API keys and OAuth tokens need scope contracts:write. Parameters, responses and code samples.

POST
/api/v1/contracts/{id}/void
AuthorizationBearer <token>

API key cl_live_… or OAuth access token eco_at_… in Authorization: Bearer. Public operations (x-econtract-auth: public) need no credential.

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

Up to 255 characters. Retries with the same key and body replay the first result (header Idempotent-Replayed: true) for 24 h.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

reason?string

Response Body

curl -X POST "https://api.econtract.online/api/v1/contracts/string/void" \  -H "Content-Type: application/json" \  -d '{}'
Empty
Empty
Empty

Code Examples

curl -X POST "https://api.econtract.online/api/v1/contracts/abc123/void" \
  -H "Authorization: Bearer cl_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "reason": "Terms changed"
  }'
const res = await fetch("https://api.econtract.online/api/v1/contracts/abc123/void", {
  method: "POST",
  headers: {
    "Authorization": "Bearer cl_live_your_key_here",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
      "reason": "Terms changed"
  }),
}).then(r => r.json());

console.log(res);
import requests

res = requests.post(
    "https://api.econtract.online/api/v1/contracts/abc123/void",
    headers={"Authorization": "Bearer cl_live_your_key_here"},
    json={
    "reason": "Terms changed",
},
).json()

print(res)
package main

import (
    "fmt"
    "io"
    "net/http"
    "bytes"
    "encoding/json"
)

func main() {
    payload, _ := json.Marshal(map[string]interface{}{
        "reason": "Terms changed",
    })

    req, _ := http.NewRequest("POST", "https://api.econtract.online/api/v1/contracts/abc123/void", bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "Bearer cl_live_your_key_here")
    req.Header.Set("Content-Type", "application/json")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.econtract.online/api/v1/contracts/abc123/void");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer cl_live_your_key_here",
    "Content-Type: application/json",
]);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
    'reason' => 'Terms changed',
]));

$response = curl_exec($ch);
curl_close($ch);

echo $response;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

String jsonBody = "{\"reason\":\"Terms changed\"}";

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.econtract.online/api/v1/contracts/abc123/void"))
    .header("Authorization", "Bearer cl_live_your_key_here")
    .header("Content-Type", "application/json")
    .POST(HttpRequest.BodyPublishers.ofString(jsonBody))
    .build();

HttpResponse<String> response = HttpClient.newHttpClient()
    .send(request, HttpResponse.BodyHandlers.ofString());

System.out.println(response.body());
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer cl_live_your_key_here");

var json = @"{
  ""reason"": ""Terms changed""
}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");

var response = await client.PostAsync("https://api.econtract.online/api/v1/contracts/abc123/void", content);
var body = await response.Content.ReadAsStringAsync();

Console.WriteLine(body);